import 'package:flutter/material.dart';

class DarkAppTheme {
  static const Color marianumRed = Color.fromARGB(255, 153, 51, 51);

  static final theme = ThemeData(
    brightness: Brightness.dark,
    primaryColor: marianumRed,
    hintColor: marianumRed,
    colorScheme: const ColorScheme(
      brightness: Brightness.dark,

      surface: Colors.black54,
      onSurface: Colors.white,

      primary: marianumRed,
      onPrimary: Colors.white,

      secondary: Colors.grey,
      onSecondary: Colors.white,

      background: Colors.black26,
      onBackground: Colors.white,

      error: marianumRed,
      onError: marianumRed,
    ),
    inputDecorationTheme: const InputDecorationTheme(
      border: UnderlineInputBorder(borderSide: BorderSide(color: marianumRed)),
    ),
    appBarTheme: const AppBarTheme(
      backgroundColor: marianumRed,
    ),
    progressIndicatorTheme: const ProgressIndicatorThemeData(
      color: marianumRed,
    ),
    iconButtonTheme: IconButtonThemeData(
      style: ButtonStyle(
        textStyle: MaterialStateProperty.all(const TextStyle(color: Colors.white)),
        backgroundColor: MaterialStateProperty.all(Colors.white),
      )
    ),
    checkboxTheme: CheckboxThemeData(
      fillColor: MaterialStateProperty.all(marianumRed),
    ),
  );
}